<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <packaging>jar</packaging>
    <artifactId>orivis-pm</artifactId>
    <version>0.0.2</version>

    <parent>
        <groupId>net.orivis</groupId>
        <artifactId>orivis-parent</artifactId>
        <version>0.0.4</version>
    </parent>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>11</source>
                    <target>11</target>
                </configuration>
            </plugin>
        </plugins>
    </build>
    <properties>
        <maven.compiler.source>1.10</maven.compiler.source>
        <maven.compiler.target>1.10</maven.compiler.target>
        <orivis.core.version>0.2.0</orivis.core.version>
        <parent.version>0.0.4</parent.version>
        <mongo.version>0.0.6</mongo.version>
    </properties>

    <dependencies>
        
        <dependency>
            <groupId>net.orivis</groupId>
            <artifactId>orivis-core</artifactId>
            <version>${orivis.core.version}</version>
        </dependency>
        <dependency>
            <groupId>net.orivis</groupId>
            <artifactId>orivis-app-to-db-mongo</artifactId>
            <version>0.0.2</version>
        </dependency>
        <dependency>
            <groupId>nl.martijndwars</groupId>
            <artifactId>web-push</artifactId>
            <version>5.1.0</version>
        </dependency>

        <dependency>
            <groupId>net.orivis</groupId>
            <artifactId>orivis-db-mongo</artifactId>
            <version>${mongo.version}</version>
        </dependency>
        <dependency>
            <groupId>net.orivis</groupId>
            <artifactId>orivis-app-to-db-mongo</artifactId>
            <version>0.0.3</version>
            <scope>compile</scope>
        </dependency>
    </dependencies>

</project>
